commit:     d2beaf0948c16eb8026d846e9c981df26646131d
Author:     Antti Jarvinen <antti.jarvinen <AT> katiska <DOT> org>
AuthorDate: Sat Dec  2 11:21:11 2017 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Fri Jan 26 21:43:37 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d2beaf09

net-p2p/classified-ads: version bump to upstream version 0.12.

Package-Manager: Portage-2.3.13, Repoman-2.3.1
Closes: https://github.com/gentoo/gentoo/pull/6398

 net-p2p/classified-ads/Manifest                    |  2 +
 net-p2p/classified-ads/classified-ads-0.12.ebuild  | 88 ++++++++++++++++++++++
 .../files/classified-ads-0.12-unit-tests.patch     | 48 ++++++++++++
 net-p2p/classified-ads/metadata.xml                | 65 ++++++++--------
 4 files changed, 172 insertions(+), 31 deletions(-)

diff --git a/net-p2p/classified-ads/Manifest b/net-p2p/classified-ads/Manifest
index 057e45a25e6..adb21be0651 100644
--- a/net-p2p/classified-ads/Manifest
+++ b/net-p2p/classified-ads/Manifest
@@ -1,2 +1,4 @@
 DIST classified-ads-0.11.tar.gz 2528877 BLAKE2B 
a2e9bfe2acdf9e95cd6e7246ca50525fdfbaf8b11b8fac41faa7c8fe01db7a4cf1055a69b4cf9168bbce7e7e25438b44d57a50669c3c406015df357c20e9106d
 SHA512 
29e1af0eac079201354364959af8dc606f4d7595fe4e8013212c4e5b30622d095e2beaeeadce350974ef32680329664ad37aae575c103fa052345acf0a49ed04
+DIST classified-ads-0.12.tar.gz 2639300 BLAKE2B 
09822a4908e3a34fbd00af60effa53c437e1e32cb1821c0041ca0cb87f4deb74ba79603c5d5aa5fe37384f2bc32f2ccd2979711c2de1e2864361904e62e2de26
 SHA512 
cbcd3f40cd9003b840b1305361f93c901b073c653f610e46154e8ff1db92167ce77aafe5179168d7403fed7b22fab60cadfc8c1fc95ebe37a4f7ffc616b66929
 DIST classified-ads-graphics-0.11.tar.gz 340476 BLAKE2B 
c9bac95f0e620a671959f0eb8c719cd70be5c9340ccb3bc3baa7eae669b5201d3127880b9006a4031e09be09e72754c8ec07824b3581e3af691c3944d5b32d21
 SHA512 
c59f65f37a8e4dddb753dbcdec835e946d9de021c5273319b3cd95ef1c3343715ce4b87d76b2d96264acc791a6cced32967521c74978131bd76fbcfc37bb344d
+DIST classified-ads-graphics-0.12.tar.gz 340476 BLAKE2B 
c9bac95f0e620a671959f0eb8c719cd70be5c9340ccb3bc3baa7eae669b5201d3127880b9006a4031e09be09e72754c8ec07824b3581e3af691c3944d5b32d21
 SHA512 
c59f65f37a8e4dddb753dbcdec835e946d9de021c5273319b3cd95ef1c3343715ce4b87d76b2d96264acc791a6cced32967521c74978131bd76fbcfc37bb344d

diff --git a/net-p2p/classified-ads/classified-ads-0.12.ebuild 
b/net-p2p/classified-ads/classified-ads-0.12.ebuild
new file mode 100644
index 00000000000..083c75d23ab
--- /dev/null
+++ b/net-p2p/classified-ads/classified-ads-0.12.ebuild
@@ -0,0 +1,88 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PLOCALES="en fi sv da uk es"
+PLOCALE_BACKUP="en"
+inherit qmake-utils virtualx l10n
+
+DESCRIPTION="Program for displaying classified advertisement items"
+HOMEPAGE="http://katiska.org/classified-ads/";
+SRC_URI="https://github.com/operatornormal/classified-ads/archive/${PV}.tar.gz 
\
+               -> classified-ads-${PV}.tar.gz \
+       
https://github.com/operatornormal/classified-ads/blob/graphics/preprocessed.tar.gz?raw=true
 \
+               -> classified-ads-graphics-${PV}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+IUSE="doc test"
+
+RDEPEND="dev-libs/openssl:0
+               >=net-libs/libnatpmp-20130911
+               <=net-libs/libnatpmp-20140401-r1
+               >=net-libs/miniupnpc-1.8
+               sys-apps/file
+               dev-qt/qtcore:5
+               dev-qt/qtgui:5
+               dev-qt/qtnetwork:5[ssl]
+               dev-qt/qtwidgets:5
+               dev-qt/qtsql:5[sqlite]
+               dev-qt/qtmultimedia:5[widgets]
+               dev-qt/qtprintsupport:5
+               media-libs/opus
+               virtual/libintl
+               dev-lang/tcl:=
+               dev-lang/tk:=
+               sys-libs/zlib"
+
+DEPEND="${RDEPEND}
+       sys-devel/gettext
+       doc? ( app-doc/doxygen[dot] )
+       test? ( dev-libs/libgcrypt:0
+               dev-qt/qttest:5
+               sys-devel/gdb:0 )"
+
+src_prepare() {
+       # preprocessed graphics are unpacked into wrong directory
+       # so lets move them into correct location:
+       mv ../ui/* ui/ || die
+       # unit-test patch
+       eapply "${FILESDIR}/${P}-unit-tests.patch"
+       # possible patches
+       eapply_user
+}
+
+src_configure() {
+       eqmake5
+       if use test; then
+               cd test || die
+               eqmake5
+       fi
+}
+
+src_compile() {
+       emake
+       if use doc; then
+               pushd doc > /dev/null || die
+               doxygen || die
+               popd > /dev/null || die
+       fi
+       if use test; then
+               pushd test > /dev/null || die
+               emake
+               popd > /dev/null || die
+       fi
+}
+
+src_test() {
+       # testca will return 0 if all unit tests pass
+       virtx ./test/testca
+}
+
+src_install() {
+       docompress -x /usr/share/doc/
+       emake install INSTALL_ROOT="${D}" DESTDIR="${D}"
+       use doc && dodoc -r doc/doxygen.generated/html/
+}

diff --git a/net-p2p/classified-ads/files/classified-ads-0.12-unit-tests.patch 
b/net-p2p/classified-ads/files/classified-ads-0.12-unit-tests.patch
new file mode 100644
index 00000000000..1a1ec45f130
--- /dev/null
+++ b/net-p2p/classified-ads/files/classified-ads-0.12-unit-tests.patch
@@ -0,0 +1,48 @@
+Patch-by: Antti Järvinen <[email protected]>
+Fixes unit-tests that are in non-compiling condition in released source code.
+
+--- a/test/testca.pro  2017-11-17 18:30:27.000000000 +0300
++++ b/test/testca.pro  2017-11-21 21:55:00.000000000 +0300
+@@ -1,5 +1,5 @@
+ #
+-# Classified Ads is Copyright (c) Antti Järvinen 2013-2016.
++# Classified Ads is Copyright (c) Antti Järvinen 2013-2017.
+ #
+ # This file is part of Classified Ads.
+ #
+@@ -42,7 +42,8 @@ SOURCES = testca.cpp ../util/hash.cpp mockup_controller.cpp \
+            ../datamodel/voicecall.cpp ../datamodel/cadbrecord.cpp \
+            ../datamodel/cadbrecordmodel.cpp ../tcl/tclWrapper.cpp \
+            ../datamodel/tclprogram.cpp ../datamodel/tclmodel.cpp \
+-           ../tcl/tclCallbacks.cpp ../tcl/tclUtil.cpp ../ui/tclConsole.cpp
++           ../tcl/tclCallbacks.cpp ../tcl/tclUtil.cpp ../ui/tclConsole.cpp \
++           ../util/ungzip.cpp
+ HEADERS = ../util/hash.h ../mcontroller.h mockup_controller.h \
+          ../datamodel/model.h ../datamodel/nodemodel.h \
+          ../datamodel/contentencryptionmodel.h ../net/networklistener.h \
+@@ -68,13 +69,13 @@ HEADERS = ../util/hash.h ../mcontroller.h 
mockup_controller.h \
+            ../net/mvoicecallengine.h ../datamodel/voicecall.h 
../datamodel/cadbrecord.h \
+            ../datamodel/cadbrecordmodel.h ../tcl/tclWrapper.h \
+            ../datamodel/tclprogram.h ../datamodel/tclmodel.h 
../tcl/tclCallbacks.h \
+-           ../tcl/tclUtil.h ../ui/tclConsole.h
++           ../tcl/tclUtil.h ../ui/tclConsole.h ../util/ungzip.h
+ CONFIG  += debug qtestlib 
+ QT      += core network sql
+ greaterThan(QT_MAJOR_VERSION, 4) {
+     QT += widgets
+ }
+-LIBS = -lssl -lcrypto -lgcrypt -lnatpmp -lgcov -lminiupnpc -ltcl -ltk
++LIBS = -lssl -lcrypto -lgcrypt -lnatpmp -lgcov -lminiupnpc -ltcl -ltk -lz
+ lessThan(QT_MAJOR_VERSION, 5) {
+     LIBS += -lqjson
+ }
+--- a/util/ungzip.cpp  2017-11-17 18:30:27.000000000 +0300
++++ b/util/ungzip.cpp  2017-11-21 21:55:00.000000000 +0300
+@@ -23,6 +23,6 @@ static const unsigned KZLibBlockSize ( 1024 ) ;
+#include "ungzip.h"
+#include <zlib.h> // actual gzip functions and data-types
+-#include "log.h"
++#include "../log.h"
+ 
+ UnGZip::UnGZip() {
+     // not really used

diff --git a/net-p2p/classified-ads/metadata.xml 
b/net-p2p/classified-ads/metadata.xml
index 51fdc6e87f2..4546060675a 100644
--- a/net-p2p/classified-ads/metadata.xml
+++ b/net-p2p/classified-ads/metadata.xml
@@ -1,36 +1,39 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
 <pkgmetadata>
-       <maintainer type="person">
-               <email>[email protected]</email>
-               <name>Antti Järvinen</name>
-               <description>proxy maintainer</description>
-       </maintainer>
-       <maintainer type="project">
-               <email>[email protected]</email>
-               <name>Proxy Maintainers</name>
-       </maintainer>
-       <longdescription lang="en">
-               Classified ads is an attempt to re-produce parts of the 
functionality
-               that went away when Usenet news ceased to exist. This attempt 
tries to
-               fix the problem of disappearing news-servers so that there is 
no servers
-               required and no service-providers needed for any operation ;
-               data storage is implemented inside client applications that
-               users are running. Features of the program currently include:
+    <maintainer type="person">
+        <email>[email protected]</email>
+        <name>Antti Järvinen</name>
+        <description>proxy maintainer</description>
+    </maintainer>
+    <maintainer type="project">
+                <email>[email protected]</email>
+                <name>Proxy Maintainers</name>
+        </maintainer>
+    <longdescription lang="en">
+   Classified ads is an attempt to re-produce parts of the functionality
+   that went away when Usenet news ceased to exist. This attempt tries to
+   fix the problem of disappearing news-servers so that there is no servers
+   required and no service-providers needed for any operation;
+   data storage is implemented inside client applications that
+   users are running. Features of the program currently include:
 
-               * Posting of ads online. Ads have a category ; there are some 
pre-defined categories but more can be invented just by typing over the 
suggested categories.
-               * Replying to ads either in public or privately to operator.
-               * (Small-sized) binary attachments to posts.
-               * Providing basic data of operators - data that operator may 
enter himself, or leave blank.
-               * Basic searching of content based on words.
-       </longdescription>
-       <upstream>
-               <maintainer status="active">
-                       <email>[email protected]</email>
-                       <name>Antti Järvinen</name>
-               </maintainer>
-               
<changelog>https://github.com/operatornormal/classified-ads/commits/master</changelog>
-               
<bugs-to>https://github.com/operatornormal/classified-ads/issues</bugs-to>
-               <remote-id 
type="github">operatornormal/classified-ads</remote-id>
-       </upstream>
+ * Posting of ads online. Ads have a category ; there are some
+   pre-defined categories but more can be invented just by typing
+   over the suggested categories.
+ * Replying to ads either in public or privately to operator.
+ * (Small-sized) binary attachments to posts.
+ * Providing basic data of operators - data that operator may enter
+   himself, or leave blank.
+ * Basic searching of content based on words.
+    </longdescription>
+    <upstream>
+                <maintainer status="active">
+                        <email>[email protected]</email>
+                        <name>Antti Järvinen</name>
+                </maintainer>
+                
<changelog>https://github.com/operatornormal/classified-ads/commits/master</changelog>
+        
<bugs-to>https://github.com/operatornormal/classified-ads/issues</bugs-to>
+        <remote-id type="github">operatornormal/classified-ads</remote-id>
+    </upstream>
 </pkgmetadata>

Reply via email to